extern boolean print(printobj * pr);
extern boolean printwm(printobj * pr);
extern void prn_line(void);
extern boolean open_printer(printobj * pr,channel_tape * tape);
extern void close_printer(printobj * pr);
extern boolean carriage(unsigned char d,printobj * pr);
extern boolean print_storage(printobj * pr);
extern void check_printer(coord X,coord Y);
extern void draw_printer(void);
extern void dump_color_screen(printobj * pr);
extern boolean skip_to_channel(printobj * pr, short n);

